%define srcname caldav
%define module %{srcname}

Name:           python-%{srcname}
Version:        1.3.9
Release:        %mkrel 2
Summary:        CalDAV (RFC4791) client library
Group:          Development/Python
License:        LGPLv2+
URL:            https://github.com/python-caldav/caldav
Source0:        https://pypi.io/packages/source/c/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
WebDAV library for Python. WebDAV is an extension to the normal HTTP/1.1
protocol allowing the user to upload data, create collections of objects,
store properties for objects, etc.

%package -n python3-%{srcname}
Summary:        CalDAV (RFC4791) client library
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
WebDAV library for Python. WebDAV is an extension to the normal HTTP/1.1
protocol allowing the user to upload data, create collections of objects,
store properties for objects, etc.

This is the Python 3 package.

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files caldav

%files -n python3-%{srcname} -f %{pyproject_files}


%changelog
* Mon Mar 03 2025 wally <wally> 1.3.9-2.mga10
+ Revision: 2159638
- rebuild for python3.13

* Thu Jan 11 2024 papoteur <papoteur> 1.3.9-1.mga10
+ Revision: 2029966
- new version 1.3.9

* Wed Mar 23 2022 umeabot <umeabot> 0.8.2-2.mga9
+ Revision: 1823973
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.8.2-1.mga9
+ Revision: 1785645
- version 0.8.2
- rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 0.6.2-3.mga9
+ Revision: 1733729
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 0.6.2-2.mga9
+ Revision: 1732992
- Rebuild for python 3.9

* Fri Mar 20 2020 shlomif <shlomif> 0.6.2-1.mga8
+ Revision: 1558319
- New version 0.6.2

* Sun Feb 16 2020 umeabot <umeabot> 0.5.0-5.mga8
+ Revision: 1533124
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.5.0-4.mga8
+ Revision: 1443586
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 0.5.0-3.mga7
+ Revision: 1350873
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.0-2.mga7
+ Revision: 1288397
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 kekepower <kekepower> 0.5.0-1.mga7
+ Revision: 1210786
- Updated to version 0.5.0
- Renamed python-caldav to python2-caldav
- Added python3-caldav

* Tue Jan 19 2016 daviddavid <daviddavid> 0.4.0-1.mga6
+ Revision: 925841
- new version: 0.4.0
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.1.11-8.mga5
+ Revision: 744226
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.11-7.mga5
+ Revision: 728125
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.11-6.mga5
+ Revision: 687916
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1.11-4.mga4
+ Revision: 543056
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.1.11-3.mga4
+ Revision: 498197
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.1.11-2.mga3
+ Revision: 378517
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 12 2012 philippem <philippem> 0.1.11-1.mga2
+ Revision: 195341
- Update to 0.1.11.

* Fri Nov 18 2011 philippem <philippem> 0.1.10-3.mga2
+ Revision: 168919
- fix requires

* Wed Nov 02 2011 dmorgan <dmorgan> 0.1.10-2.mga2
+ Revision: 161806
- Fix requires on lxml
- Remove %%defattr

* Sun Jul 17 2011 fwang <fwang> 0.1.10-1.mga2
+ Revision: 125387
- imported package python-caldav

